Commit eebb9946 authored by Akihiro Motoki's avatar Akihiro Motoki

Switch test runner to django default runner

nose is not actively maintained now and Django default test runner
seems to have enough features.

Also drops unnecessary python dependencies so that
the maintenance of requirements files easily.
There is no need to install Django explicitly as it is a horizon dependency.
testscenarios, testrepository, testtools are not used actually.

Depends-On: https://review.openstack.org/#/c/544296/
Change-Id: Ic360c181d1f3278957007fc7188560893cc5ed03
parent f9f43f1a
......@@ -17,7 +17,6 @@ Django==1.11
django-appconf==1.0.2
django-babel==0.6.2
django-compressor==2.0
django-nose==1.4.4
django-pyscss==2.0.2
docutils==0.11
dogpile.cache==0.6.2
......
......@@ -3,6 +3,5 @@
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0
Django<2.0,>=1.11 # BSD
horizon>=13.0.0 # Apache-2.0
horizon>=14.0.0.0b2 # Apache-2.0
python-neutronclient>=6.7.0 # Apache-2.0
......@@ -6,10 +6,5 @@
hacking!=0.13.0,<0.14,>=0.12.0 # Apache-2.0
coverage!=4.4,>=4.0 # Apache-2.0
django-nose>=1.4.4 # BSD
flake8-import-order==0.13 # LGPLv3
mock>=2.0.0 # BSD
python-subunit>=1.0.0 # Apache-2.0/BSD
testrepository>=0.0.18 # Apache-2.0/BSD
testscenarios>=0.4 # Apache-2.0/BSD
testtools>=2.2.0 # MIT
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment